%define		module pywebkitgtk
Summary:	GTK WebKit bindings for Python
Summary(pl.UTF-8):	Wiązania biblioteki GTK WebKit dla Pythona
Name:		python-%{module}
Version:	1.1.8
Release:	6
License:	LGPL v2
Group:		Libraries/Python
Source0:	http://pywebkitgtk.googlecode.com/files/%{module}-%{version}.tar.gz
# Source0-md5:	158335385354ba38090c9324b37bf225
Patch0:		%{name}-codegen.patch
URL:		http://code.google.com/p/pywebkitgtk/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	geoclue-devel
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	gtk-webkit-devel >= 1.1.10
BuildRequires:	libicu-devel
BuildRequires:	libtool
BuildRequires:	libxslt-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.5.0
BuildRequires:	python-pygtk-devel >= 2:2.0
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GTK WebKit bindings for Python.

%description -l pl.UTF-8
Wiązania biblioteki GTK WebKit dla Pythona.

%package devel
Summary:	Development files for GTK Webkit bindings for Python
Summary(pl.UTF-8):	Plik programistyczny wiązań biblioteki GTK WebKit dla Pythona
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-pygtk-devel >= 2:2.0

%description devel
Development files for GTK Webkit bindings for Python.

%description devel -l pl.UTF-8
Plik programistyczny wiązań biblioteki GTK WebKit dla Pythona.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__autoheader}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp  $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/webkit/webkit.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitedir}/webkit
%attr(755,root,root) %{py_sitedir}/webkit/webkit.so
%{py_sitedir}/webkit/*.py[co]
%dir %{_datadir}/pywebkitgtk

%files devel
%defattr(644,root,root,755)
%dir %{_datadir}/pywebkitgtk/defs
%{_datadir}/pywebkitgtk/defs/webkit*.defs
%{_pkgconfigdir}/pywebkitgtk-1.0.pc
%changelog
* Sat May 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pywebkitgtk.git;a=log;h=master

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> aebc535
- x32 rebuild
- release 6 (by relup.sh)

* Wed Aug 21 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3752021
- release 5 (by relup.sh)

* Tue Aug 20 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ba58f2
- release 4 (by relup.sh)

* Tue Jan 01 2013 Elan Ruusamäe <glen@delfi.ee> b4a4212
- remove unused pydefsdir macro define

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> fa8828c
- release 3 (by relup.sh)

* Sun Feb 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f23445b
- rel 2; missing dir added

* Fri Feb 18 2011 Artur Frysiak <artur@frysiak.net> 152e85e
- BR updated

* Fri Feb 18 2011 Artur Frysiak <artur@frysiak.net> c54e082
- updated to 1.1.8

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> ad5f4bb
- BR: rpm-pythonprov

* Fri Oct 15 2010 qwiat <qwiat@pld-linux.org> 55663f5
- Added BR: geoclue-devel

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f21b002
- release 2

* Sun Oct 18 2009 emes <emes@pld-linux.org> 3d4e00f
- added BReq: libicu-devel

* Mon Jun 15 2009 Patryk Zawadzki <patrys@room-303.com> 25096a6
- 1.1.5

* Tue Apr 14 2009 Patryk Zawadzki <patrys@room-303.com> c03b05c
- 1.1.4

* Wed Mar 18 2009 Patryk Zawadzki <patrys@room-303.com> 962a7b9
- 1.1.3
- merged from DEVEL

* Sat Mar 14 2009 Patryk Zawadzki <patrys@room-303.com> d5d582b
- work around PLD packaging rules

* Sun Oct 12 2008 Patryk Zawadzki <patrys@room-303.com> 09d8c83
- rel 2

* Sat Aug 23 2008 Patryk Zawadzki <patrys@room-303.com> a7d79eb
- 1.0.1

* Tue Apr 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 5afbd9e
- release .3

* Tue Apr 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 6b0c2fe
- separated pygtk defs to -devel

